import React from 'react';
import { IntlProvider } from 'react-intl';
import { storiesOf } from '@storybook/react';
import { withKnobs, text } from '@storybook/addon-knobs';
import { PincodeGroup } from './pincode-group';
import '../../../theme/index.scss';

const setPinCode = () => {};

storiesOf('Form', module)
  .addDecorator(withKnobs)
  .add('PincodeGroup', () => (
    <IntlProvider locale="en">
      <div style={{ width: '500px' }}>
        <PincodeGroup
          id={text('id', 'id')}
          label={text('label', 'label')}
          value={text('value', '')}
          name={text('name', 'name')}
          inputError={text('inputError', '')}
          setPinCode={setPinCode}
        >
          <div>{text('children', 'children content')}</div>
        </PincodeGroup>
      </div>
    </IntlProvider>
  ));
